Bug 446142 - CIFS: slab error in kmem_cache_destroy(): cache `cifs_request': Can't free all objects
CIFS: slab error in kmem_cache_destroy(): cache `cifs_request': Can't free al...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jeff Layton
Martin Jenner
:
Depends On:
Blocks: 447397
  Show dependency treegraph
 
Reported: 2008-05-12 19:58 EDT by Jeff Layton
Modified: 2009-01-20 15:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2008-05-12 19:58:04 EDT
After some CIFS testing on 2.6.18-92.el5xen, I got this:

slab error in kmem_cache_destroy(): cache `cifs_request': Can't free all objects
 [<c046bdbf>] kmem_cache_destroy+0x61/0xf3
 [<e0f61153>] cifs_destroy_request_bufs+0x14/0x28 [cifs]
 [<e0f7e576>] exit_cifs+0x1e/0x80 [cifs]
 [<c043aeae>] sys_delete_module+0x192/0x1b8
 [<c04451fd>] audit_syscall_entry+0x14b/0x17d
 [<c0405413>] syscall_call+0x7/0xb
 =======================
kmem_cache_create: duplicate cache cifs_request
 [<c046b91b>] kmem_cache_create+0x453/0x483
 [<c046aa47>] kmem_cache_alloc+0x54/0x5e
 [<e0f61276>] cifs_init_request_bufs+0x53/0x182 [cifs]
 [<e0c3c151>] init_cifs+0x151/0x22c [cifs]
 [<c043aafd>] sys_init_module+0x18b5/0x1a60
 [<c046bd5e>] kmem_cache_destroy+0x0/0xf3
 [<c04451fd>] audit_syscall_entry+0x14b/0x17d
 [<c0405413>] syscall_call+0x7/0xb

...not sure exactly what caused it...
Comment 1 Jeff Layton 2008-05-14 16:09:04 EDT
Turned out to be a problem in the error path for readdir. Patch has been pushed
upstream.
Comment 2 RHEL Product and Program Management 2008-06-19 10:24:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2008-09-12 21:47:08 EDT
in kernel-2.6.18-113.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 errata-xmlrpc 2009-01-20 15:24:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.